<?php

namespace DevNullOpenStreetMap;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Leaflet_Layer_Kml {
    
	public static function get_ItemList() {

		$query = array(
			'post_type'        	=> array( 'attachment' ),
			'nopaging'	        => true,
			'orderby'			=> 'title',
            'post_status'       => 'inherit',
            'post_mime_type'    => ['application/vnd.google-earth.kml+xml'],
		);
		$kmlFiles = get_posts($query);

        $list = [];
        
		foreach($kmlFiles as $kmlFile) {
			$list[$kmlFile->ID] = $kmlFile->post_title . ' [kml]';
		}

		return $list;
	}
    public static function item_list_kml($items) {
        
		$query = array(
			'post_type'        	=> array( 'attachment' ),
			'nopaging'	        => true,
			'orderby'			=> 'title',
            'post_status'       => 'inherit',
            'post_mime_type'    => ['application/vnd.google-earth.kml+xml'],
		);
		$kmlFiles = get_posts($query);

        $list = [];
        
		foreach($kmlFiles as $kmlFile) {
			$items['kml:' . $kmlFile->ID] = $kmlFile->post_title . ' [kml]';
		}

        return $items;
        
    }
    
    public static function edit_upload_mime_types($existing_mimes = array()) {
        // allow .kml
        $existing_mimes['kml'] = 'application/vnd.google-earth.kml+xml';

        return $existing_mimes;
    }
}

add_filter('upload_mimes', [ '\DevNullOpenStreetMap\Leaflet_Layer_Kml', 'edit_upload_mime_types'], 10, 1);
add_filter('dev_null_leaflet_items', [ '\DevNullOpenStreetMap\Leaflet_Layer_Kml', 'item_list_kml'], 10, 1);
