<?php

namespace DevNullOpenStreetMap;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Leaflet_Location_Country {

	public function __construct() {


	}
	
	public static function load_items($items, $list)
	{

		if(is_array($list) == false)
			$list = explode(',', $list);

		if(count($list) == 0)
			return $items;
		
		$query = [
			'post_type'	=> DEV_NULL_LEAFLET_LOCATION,
			'nopaging'	=> true,
			'meta_query'	=> [
				'relation'		=> 'AND',
				[
					'key'  			=> 'location_countrycode',
					'value'         => $list,
					'compare'		=> 'IN',
				],
			]
		];
		
		$posts = get_posts($query);
		
		foreach($posts as $p) {
			$items[$p->ID] = $p;
		}
		
		return $items;
	}
	
}

