<?php

namespace DevNullOpenStreetMap;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Leaflet_Location_Type {
	
	public function __construct() {

		add_action( 'init', [ $this, 'register_taxonomy' ] );
		
	}
	
	public static function tag_row_actions( $actions, $tag ) {
		// Remove 'Quick Edit'
		// unset( $actions['inline hide-if-no-js'] );
		unset( $actions['view'] );

		return $actions;
	}

	public function register_taxonomy() {
		$labels = [
			'name'                       => esc_html__( 'Marker Types', 'dev-null-openstreetmap' ),
			'singular_name'              => esc_html__( 'Marker Type', 'dev-null-openstreetmap' ),
			'menu_name'                  => esc_html__( 'Marker Types', 'dev-null-openstreetmap' ),
			'search_items'               => esc_html__( 'Search Marker Types', 'dev-null-openstreetmap' ),
			'popular_items'              => esc_html__( 'Popular Marker Types', 'dev-null-openstreetmap' ),
			'all_items'                  => esc_html__( 'All Marker Types', 'dev-null-openstreetmap' ),
			'parent_item'                => esc_html__( 'Parent Marker Type', 'dev-null-openstreetmap' ),
			'parent_item_colon'          => esc_html__( 'Parent Marker Type:', 'dev-null-openstreetmap' ),
			'edit_item'                  => esc_html__( 'Edit Marker Type', 'dev-null-openstreetmap' ),
			'view_item'                  => esc_html__( 'View Marker Type', 'dev-null-openstreetmap' ),
			'update_item'                => esc_html__( 'Update Marker Type', 'dev-null-openstreetmap' ),
			'add_new_item'               => esc_html__( 'Add New Marker Type', 'dev-null-openstreetmap' ),
			'new_item_name'              => esc_html__( 'New Marker Type Name', 'dev-null-openstreetmap' ),
			'separate_items_with_commas' => esc_html__( 'Separate marker types with commas', 'dev-null-openstreetmap' ),
			'add_or_remove_items'        => esc_html__( 'Add or remove marker types', 'dev-null-openstreetmap' ),
			'choose_from_most_used'      => esc_html__( 'Choose most used marker types', 'dev-null-openstreetmap' ),
			'not_found'                  => esc_html__( 'No marker types found.', 'dev-null-openstreetmap' ),
			'no_terms'                   => esc_html__( 'No marker types', 'dev-null-openstreetmap' ),
			'filter_by_item'             => esc_html__( 'Filter by marker type', 'dev-null-openstreetmap' ),
			'items_list_navigation'      => esc_html__( 'Marker Types list pagination', 'dev-null-openstreetmap' ),
			'items_list'                 => esc_html__( 'Marker Types list', 'dev-null-openstreetmap' ),
			'most_used'                  => esc_html__( 'Most Used', 'dev-null-openstreetmap' ),
			'back_to_items'              => esc_html__( '&larr; Go to Marker Types', 'dev-null-openstreetmap' ),
			'text_domain'                => esc_html__( 'dev-null-openstreetmap', 'dev-null-openstreetmap' ),
		];
		$args = [
			'label'              => esc_html__( 'Marker Types', 'dev-null-openstreetmap' ),
			'labels'             => $labels,
			'description'        => '',
			'public'             => true,
			'publicly_queryable' => true,
			'hierarchical'       => false,
			'show_ui'            => true,
			'show_in_menu'       => true,
			'show_in_nav_menus'  => false,
			'show_in_rest'       => true,
			'show_tagcloud'      => false,
			'show_in_quick_edit' => true,
			'show_admin_column'  => true,
			'query_var'          => true,
			'sort'               => false,
			'_slug_changed'      => true,
			'meta_box_cb'        => 'post_tags_meta_box',
			'rest_base'          => '',
			'rewrite'            => [
				'with_front'   => false,
				'hierarchical' => false,
			],
		];
		register_taxonomy( DEV_NULL_LEAFLET_TYPE, [DEV_NULL_LEAFLET_LOCATION], $args );
	}
}

add_filter( DEV_NULL_LEAFLET_TYPE . '_row_actions', 
	[ '\DevNullOpenStreetMap\Leaflet_Location_Type', 'tag_row_actions' ], 10, 2 );
